[paludis-dev] [Paludis] #1358: Recent paludis does not understand Gentoo security

Paludis trac-paludis at exherbo.org
Wed Aug 2 15:42:24 UTC 2017


#1358: Recent paludis does not understand Gentoo security
-----------------------------+--------------------
    Reporter:  MageSlayer    |      Owner:
        Type:  defect        |     Status:  closed
    Priority:  Sometime      |  Milestone:
   Component:  clients/cave  |    Version:  scm
  Resolution:  upstream      |   Keywords:
  Blocked By:                |   Blocking:
Distribution:  N/A           |
-----------------------------+--------------------

Comment (by ciaranm):

 The issue is that if SLOT= is specified, we expect a valid slot name. ""
 is not a valid SLOT name, and even if it were, it wouldn't match SLOT="0"
 etc, so it would not do what the authors expect.

 I'm generally opposed to adding patches to work around invalid inputs.
 Instead, could you write a patch for Portage that makes it do better input
 validation, so this stuff doesn't happen again?

-- 
Ticket URL: <http://paludis.exherbo.org/trac/ticket/1358#comment:3>
Paludis <http://paludis.exherbo.org/>
Paludis, the Other Package Mangler


More information about the paludis-dev mailing list